Bug 491570 - Review Request: sahana - Disaster Management System
Review Request: sahana - Disaster Management System
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-22 22:16 EDT by David Nalley
Modified: 2009-04-06 16:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.6.2.2-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 16:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-03-22 22:16:44 EDT
Spec URL: http://ke4qqq.fedorapeople.org/sahana.spec
SRPM URL: http://ke4qqq.fedorapeople.org/sahana-0.6.2.2-1.fc10.src.rpm
Description: Sahana is a Free and Open Source Disaster Management system. It is a web based collaboration tool that addresses the common coordination problems during a disaster from finding missing people, managing aid, managing volunteers, tracking camps effectively between Government groups, the civil society (NGOs) and the victims themselves.
Comment 1 David Nalley 2009-03-22 22:30:22 EDT
[ke4qqq@nalley SPECS]$ rpmlint ./sahana.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalley SPECS]$ rpmlint ../SRPMS/sahana-0.6.2.2-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalley SPECS]$ rpmlint ../RPMS/noarch/sahana-0.6.2.2-1.fc10.noarch.rpm 
sahana.noarch: W: non-standard-gid /etc/sahana/conf-order.inc apache
sahana.noarch: W: non-standard-gid /etc/sahana apache
sahana.noarch: E: non-standard-dir-perm /etc/sahana 0664
sahana.noarch: W: non-standard-gid /etc/sahana/sysconf.inc.tpl apache
1 packages and 0 specfiles checked; 1 errors, 3 warnings.



The non-standard gid and perms are due to the need for the installer to be able to write to the conf files.
Comment 2 Marcela Mašláňová 2009-03-27 10:35:12 EDT
It would be nice if you put %post part between %files and %clean section.

Rpm shouldn't have any output. This must be fixed for review:
rpm -i /home/marca/rpmbuild/RPMS/noarch/sahana-0.6.2.2-1.fc10.noarch.rpm
messy:    /usr/share/sahana/conf -> ../../../etc/sahana/
changed:  /usr/share/sahana/conf -> ../../../etc/sahana


OK Rpmlint must be run on every package.
OK The package must be named according to the Package Naming Guidelines.
OK The spec file name must match the base package %{name}.
OK The package must meet the Packaging Guidelines.
OK The package must be licensed with a Fedora approved license.
OK The License field in the package spec file must match the actual license.
OK If (and only if) the source package includes the text of the license(s) in its own file.
OK The spec file must be written in American English.
OK The spec file for the package MUST be legible.
OK The sources used to build the package must match the upstream source.
OK The package MUST successfully compile.
OK Correct BuildRequires.
OK Proper use of %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK Shared library files (not just symlinks) must call ldconfig in %post and %postun.
OK Relocatable package must state this fact in the request for review.
OK A package must own all directories that it creates.
OK A package must not contain any duplicate files in the %files listing.
OK Permissions on files must be set properly.
OK Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK Each package must consistently use macros.
OK The package must contain code, or permissable content.
OK Large documentation files must go in a -doc subpackage.
OK If a package includes something as %doc, it must not affect the runtime of the application.
OK Header files must be in a -devel package.
OK Static libraries must be in a -static package.
OK Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK Library files with a suffix (e.g. libfoo.so.1.1) and files that end in .so (without suffix) must go in -devel.
OK In the vast majority of cases, devel packages must require the base package.
OK Packages must NOT contain any .la libtool archives.
OK Packages containing GUI applications must include a %{name}.desktop file.
OK At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

Suggestions:
* replace the version 0.6.2.2 with macron %{version}.
* it should be used macro %bcond_without selinux and %if %{with selinux} for parts which need selinux. It's good habit to create packages which could be rebuild without selinux.

Thanks for reading ;-)
Comment 3 David Nalley 2009-03-29 19:58:53 EDT
Thanks for the review!

I believe I have fixed all of the things you brought up. 

Spec URL: http://ke4qqq.fedorapeople.org/sahana.spec
SRPM URL: http://ke4qqq.fedorapeople.org/sahana-0.6.2.2-2.fc10.src.rpm

I believed
Update here:

[ke4qqq@nalleyt61 SPECS]$ rpmlint ./sahana.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/sahana-0.6.2.2-2.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/sahana-0.6.2.2-2.fc10.noarch.rpm 
sahana.noarch: W: non-standard-uid /var/lib/sahana apache
sahana.noarch: W: non-standard-gid /var/lib/sahana apache
sahana.noarch: W: non-standard-gid /etc/sahana/conf-order.inc apache
sahana.noarch: W: non-standard-gid /etc/sahana apache
sahana.noarch: E: non-standard-dir-perm /etc/sahana 0775
sahana.noarch: W: non-standard-gid /etc/sahana/sysconf.inc.tpl apache
1 packages and 0 specfiles checked; 1 errors, 5 warnings.
[ke4qqq@nalleyt61 SPECS]$ 



The /var/lib/sahana dir needs to be writable by apache as does /etc/sahana/* hence the warnings/error
Comment 4 Marcela Mašláňová 2009-03-31 09:27:35 EDT
http://koji.fedoraproject.org/koji/getfile?taskID=1267776&name=build.log
You are missing dos2unix requirement.
Comment 6 Marcela Mašláňová 2009-03-31 09:58:59 EDT
ACCEPTED
Comment 7 David Nalley 2009-03-31 10:16:19 EDT
New Package CVS Request
=======================
Package Name: sahana
Short Description: Disaster Management System
Owners: ke4qqq
Branches: F-9 F-10 F-11 EL-5
InitialCC:
Comment 8 Dennis Gilmore 2009-04-01 12:37:51 EDT
CVS Done
Comment 9 Fedora Update System 2009-04-03 17:45:34 EDT
sahana-0.6.2.2-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/sahana-0.6.2.2-4.fc9
Comment 10 Fedora Update System 2009-04-03 17:45:39 EDT
sahana-0.6.2.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sahana-0.6.2.2-4.fc10
Comment 11 Fedora Update System 2009-04-06 16:28:54 EDT
sahana-0.6.2.2-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-04-06 16:29:09 EDT
sahana-0.6.2.2-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.